Subject: Ubuntu 22.04 + GNU Guix, guile-gnutls-3.7.11: dependencies couldn't be built

From: "Artyom V. Poptsov" <[email-masked]>
Date: Fri, 21 Apr 2023 22:00:04 +0300

Hello,

I'm running GNU Guix on Ubuntu 22.04.2 GNU/Linux, and in the recent
twenty days or so I started seeing the following error:

--8<---------------cut here---------------start------------->8---
$ guix pull
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to 040d35f (20 new commits)...
Building from this channel:
  guix      https://git.savannah.gnu.org/git/guix.git   040d35f
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
building /gnu/store/n959m8mz62bpl7xn2dyr76a5p797m95x-compute-guix-derivation.drv...
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
building /gnu/store/4bpha4cd61hy2q6rgldqhwkyb02zrkwj-guile-gnutls-3.7.11-checkout.drv...
substitute: updating substitutes from 'http://ci.guix.ygg.trop.in'... 100.0%
|builder for `/gnu/store/4bpha4cd61hy2q6rgldqhwkyb02zrkwj-guile-gnutls-3.7.11-checkout.drv' failed to produce output path `/gnu/store/dpbxqzqmbhfy7jc2a9dyfi28fdvi04sd-guile-gnutls-3.7.11-checkout'
build of /gnu/store/4bpha4cd61hy2q6rgldqhwkyb02zrkwj-guile-gnutls-3.7.11-checkout.drv failed
View build log at '/var/log/guix/drvs/4b/pha4cd61hy2q6rgldqhwkyb02zrkwj-guile-gnutls-3.7.11-checkout.drv.gz'.
cannot build derivation `/gnu/store/225szzx9xq6hzfsrf48g01xsg8fp25rx-guile-gnutls-3.7.11-checkout.drv': 1 dependencies couldn't be built
Backtrace:
          14 (primitive-load "/gnu/store/1x786lg3kb5m6d0l5np02sbsczv86lp2-compute-guix-derivation")
In ice-9/eval.scm:
    155:9 13 (_ _)
    159:9 12 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
    152:2 11 (with-fluid* _ _ _)
    152:2 10 (with-fluid* _ _ _)
In ./guix/store.scm:
  2168:24  9 (run-with-store #<store-connection 256.99 7f82d6b76140> #<procedure 7f82c2d1d280 at ./guix/self.scm:13?> ?)
   1996:8  8 (_ #<store-connection 256.99 7f82d6b76140>)
In ./guix/gexp.scm:
   299:22  7 (_ #<store-connection 256.99 7f82d6b76140>)
   1180:2  6 (_ #<store-connection 256.99 7f82bbb00d70>)
   1046:2  5 (_ #<store-connection 256.99 7f82bbb00d70>)
    892:4  4 (_ #<store-connection 256.99 7f82bbb00d70>)
In ./guix/store.scm:
  2053:12  3 (_ #<store-connection 256.99 7f82bbb00d70>)
   1401:5  2 (map/accumulate-builds #<store-connection 256.99 7f82bbb00d70> #<procedure 7f82bc4450e0 at ./guix/stor?> ?)
  1417:15  1 (_ #<store-connection 256.99 7f82bbb00d70> ("/gnu/store/qcjwkqv3gga9i8wdpfmg840sagvjik3n-guile-git-?" ?) ?)
  1417:15  0 (loop #f)

./guix/store.scm:1417:15: In procedure loop:
ERROR:
  1. &store-protocol-error:
      message: "build of `/gnu/store/z2zc2ncipg4h6r3i3rnifq0s2dpgb1rj-guile-gnutls-3.7.11.drv' failed"
      status: 1
guix pull: error: You found a bug: the program '/gnu/store/1x786lg3kb5m6d0l5np02sbsczv86lp2-compute-guix-derivation'
failed to compute the derivation for Guix (version: "040d35f088e0f1c856f3f5a9b6bf889b17bd68b3"; system: "x86_64-linux";
host version: "c9af27d4ca733b20f09019f1465d3e5fdc1ec724"; pull-version: 1).
Please report the COMPLETE output above by email to <[email-masked]>.
--8<---------------cut here---------------end--------------->8---

Please find the build logs attached.

Here's the "guile-gnutls-3.7.11-checkout.drv.gz" file contents:

--8<---------------cut here---------------start------------->8---
guile: warning: failed to install locale
environment variable `PATH' set to `/gnu/store/njrqz9il9q31xvlk6phwav0n2yqjb6gi-git-minimal-2.39.2/bin:/gnu/store/0c1yfbxyv877mlgychfgvmk5ha2jqh52-gzip-1.10/bin:/gnu/store/8z1q7vjxylm6l4ibsywd4h6m6jv6zqm4-tar-1.34/bin'
hint: Using 'master' as the name for the initial branch. This default branch name
hint: is subject to change. To configure the initial branch name to use in all
hint: of your new repositories, which will suppress this warning, call:
hint: 
hint:   git config --global init.defaultBranch <name>
hint: 
hint: Names commonly chosen instead of 'master' are 'main', 'trunk' and
hint: 'development'. The just-created branch can be renamed via this command:
hint: 
hint:   git branch -m <name>
Initialized empty Git repository in /gnu/store/dpbxqzqmbhfy7jc2a9dyfi28fdvi04sd-guile-gnutls-3.7.11-checkout/.git/
fatal: unable to access 'https://gitlab.com/gnutls/guile/': The requested URL returned error: 403
Failed to do a shallow fetch; retrying a full fetch...
fatal: unable to access 'https://gitlab.com/gnutls/guile/': The requested URL returned error: 403
git-fetch: 'git fetch origin' failed with exit code 128
Trying content-addressed mirror at bordeaux.guix.gnu.org...
Trying content-addressed mirror at ci.guix.gnu.org...
Trying content-addressed mirror at bordeaux.guix.gnu.org...
Trying content-addressed mirror at ci.guix.gnu.org...
Trying to download from Software Heritage...
SWH: revision "v3.7.11" originating from https://gitlab.com/gnutls/guile/ could not be found
--8<---------------cut here---------------end--------------->8---

To my understanding it basically says that Guix cannot get
"guile-gnutls" from its official Git repository.  I did a little
investigation here and tried "guix install nss-certs" to install TLS
certificates as I was told by a local Guix community and exported the
path to "ca-certificates.crt" in
"/etc/systemd/system/guix-daemon.service" but to no avail.

--8<---------------cut here---------------start------------->8---
CURL_CA_BUNDLE="$HOME/.guix-profile/etc/ssl/certs/ca-certificates.crt"
--8<---------------cut here---------------end--------------->8---

Thanks,

- avp

-- 
Artyom "avp" Poptsov <[email-masked]>
Home page: https://memory-heap.org/~avp/
CADR Hackerspace co-founder: https://cadrspace.ru/
GPG: D0C2 EAC1 3310 822D 98DE  B57C E9C5 A2D9 0898 A02F